---
title: ReadableByteStreamController.close()
slug: Web/API/ReadableByteStreamController/close
tags:
  - API
  - Experimental
  - Method
  - ReadableByteStreamController
  - Reference
  - Streams
  - close
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>close()</code></strong> method of the {{domxref("ReadableByteStreamController")}} interface closes the associated stream.</p>

<div class="note">
<p><strong>Note</strong>: Readers will still be able to read any previously-enqueued chunks from the stream, but once those are read, the stream will become closed.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>readableByteStreamController</em>.close();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>The source object is not a <code>ReadableByteStreamController</code>, or the stream is not readable for some other reason.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rbs-controller-close","close()")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableByteStreamController.close")}}</p>
